;Quest'opera e' stata rilasciata sotto la licenza Creative Commons
;Attribuzione-Non commerciale-Condividi allo stesso modo 2.5 Italia.
;
;Per leggere una copia della licenza visita il sito web
;http://creativecommons.org/licenses/by-nc-sa/2.5/it/ o spedisci una
;lettera a Creative Commons, 171 Second Street, Suite 300,
;San Francisco, California, 94105, USA.
;
;
;This work is licensed under the Creative Commons
;Attribution-Noncommercial-Share Alike 2.5 Italy License.
;
;To view a copy of this license, visit
;http://creativecommons.org/licenses/by-nc-sa/2.5/it/ or send a letter
;to Creative Commons, 171 Second Street, Suite 300, San Francisco,
;California, 94105, USA.

; ________________________________________________
; |    Include per controllo tastiera 877 demo   |
; |______________________________________________|
; |   Include File                               |
; |______________________________________________|
; |   Tipo      : INC                            |
; |   Versione  : 1                              |
; |   Release   : 0                              |
; |   Autore    : Lain Walter                    |
; |   Data      : 03/11/09                       |
; |______________________________________________|

;_______________________________________________________Costanti
#define	c_KEYB_BIT      4               ;bit da controllare per antirimbalzo tastiera
                                        ; con timer1=5ms, occorrono 80ms per riempire
                                        ; o svuotare il buffer

;_______________________________________________________Variabili
        LONG l_KEYB_STAT                ;stato dei pulsanti
        BYTE b_SWITCH_11                ;Buffer pulsante 11
        BYTE b_SWITCH_12                ;Buffer pulsante 12
        BYTE b_SWITCH_13                ;Buffer pulsante 13
        BYTE b_SWITCH_14                ;Buffer pulsante 14
        BYTE b_SWITCH_21                ;Buffer pulsante 21
        BYTE b_SWITCH_22                ;Buffer pulsante 22
        BYTE b_SWITCH_23                ;Buffer pulsante 23
        BYTE b_SWITCH_24                ;Buffer pulsante 24
        BYTE b_SWITCH_31                ;Buffer pulsante 31
        BYTE b_SWITCH_32                ;Buffer pulsante 32
        BYTE b_SWITCH_33                ;Buffer pulsante 33
        BYTE b_SWITCH_34                ;Buffer pulsante 34
        BYTE b_SWITCH_41                ;Buffer pulsante 41
        BYTE b_SWITCH_42                ;Buffer pulsante 42
        BYTE b_SWITCH_43                ;Buffer pulsante 43
        BYTE b_SWITCH_44                ;Buffer pulsante 44

;_______________________________________________________FLAGS
#define f_SW_11         l_KEYB_STAT,0   ;Riga 1, colonna 1
#define f_SW_12         l_KEYB_STAT,1   ;Riga 1, colonna 2
#define f_SW_13         l_KEYB_STAT,2   ;Riga 1, colonna 3
#define f_SW_14         l_KEYB_STAT,3   ;Riga 1, colonna 4
#define f_SW_21         l_KEYB_STAT,4   ;Riga 2, colonna 1
#define f_SW_22         l_KEYB_STAT,5   ;Riga 2, colonna 2
#define f_SW_23         l_KEYB_STAT,6   ;Riga 2, colonna 3
#define f_SW_24         l_KEYB_STAT,7   ;Riga 2, colonna 4

#define f_SW_31         l_KEYB_STAT+1,0 ;Riga 3, colonna 1
#define f_SW_32         l_KEYB_STAT+1,1 ;Riga 3, colonna 2
#define f_SW_33         l_KEYB_STAT+1,2 ;Riga 3, colonna 3
#define f_SW_34         l_KEYB_STAT+1,3 ;Riga 3, colonna 4
#define f_SW_41         l_KEYB_STAT+1,4 ;Riga 4, colonna 1
#define f_SW_42         l_KEYB_STAT+1,5 ;Riga 4, colonna 2
#define f_SW_43         l_KEYB_STAT+1,6 ;Riga 4, colonna 3
#define f_SW_44         l_KEYB_STAT+1,7 ;Riga 4, colonna 4

#define f_SW_11P        l_KEYB_STAT+2,0 ;Precedente riga 1, colonna 1
#define f_SW_12P        l_KEYB_STAT+2,1 ;Precedente riga 1, colonna 2
#define f_SW_13P        l_KEYB_STAT+2,2 ;Precedente riga 1, colonna 3
#define f_SW_14P        l_KEYB_STAT+2,3 ;Precedente riga 1, colonna 4
#define f_SW_21P        l_KEYB_STAT+2,4 ;Precedente riga 2, colonna 1
#define f_SW_22P        l_KEYB_STAT+2,5 ;Precedente riga 2, colonna 2
#define f_SW_23P        l_KEYB_STAT+2,6 ;Precedente riga 2, colonna 3
#define f_SW_24P        l_KEYB_STAT+2,7 ;Precedente riga 2, colonna 4

#define f_SW_31P        l_KEYB_STAT+3,0 ;Precedente riga 3, colonna 1
#define f_SW_32P        l_KEYB_STAT+3,1 ;Precedente riga 3, colonna 2
#define f_SW_33P        l_KEYB_STAT+3,2 ;Precedente riga 3, colonna 3
#define f_SW_34P        l_KEYB_STAT+3,3 ;Precedente riga 3, colonna 4
#define f_SW_41P        l_KEYB_STAT+3,4 ;Precedente riga 4, colonna 1
#define f_SW_42P        l_KEYB_STAT+3,5 ;Precedente riga 4, colonna 2
#define f_SW_43P        l_KEYB_STAT+3,6 ;Precedente riga 4, colonna 3
#define f_SW_44P        l_KEYB_STAT+3,7 ;Precedente riga 4, colonna 4
